import request from '@/utils/request'

// 查询协会等社会组织颁发的荣誉信息列表
export function listHonor(query) {
  return request({
    url: '/basicData/xcrAssociationHonor/findByPage',
    method: 'get',
    params: query
  })
}

// 查询协会等社会组织颁发的荣誉信息详细
export function getHonor(id) {
  return request({
    url: '/basicData/xcrAssociationHonor/' + id,
    method: 'get'
  })
}

// 新增协会等社会组织颁发的荣誉信息
export function addHonor(data) {
  return request({
    url: '/basicData/xcrAssociationHonor',
    method: 'post',
    data: data
  })
}

// 修改协会等社会组织颁发的荣誉信息
export function updateHonor(data) {
  return request({
    url: '/basicData/xcrAssociationHonor',
    method: 'put',
    data: data
  })
}

// 删除协会等社会组织颁发的荣誉信息
export function delHonor(id) {
  return request({
    url: '/basicData/xcrAssociationHonor/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delHonorBatch(ids) {
  return request.post('/basicData/xcrAssociationHonor/delete',ids)
}
